Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce
Class SignatureAdapter

    java.lang.Object
      |
      +--java.security.SignatureSpi
            |
            +--gnu.crypto.jce.SignatureAdapter

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  DSSRawSignatureSpi, RSAPSSRawSignatureSpi

class SignatureAdapter
extends java.security.SignatureSpi
implements java.lang.Cloneable

The implementation of a generic `java.security.Signature` adapter class to wrap gnu.crypto signature instances.

This class defines the Service Provider Interface (SPI) for the `java.security.Signature` class, which provides the functionality of a digital signature algorithm. Digital signatures are used for authentication and integrity assurance of digital data.

All the abstract methods in the `SignatureSpi` class are implemented by this class and all its sub-classes.

All the implementations which subclass this object, and which are serviced by the GNU Crypto provider implement the `Cloneable` interface.

Version:
  $Revision: 1.3 $

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`protected` | `SignatureAdapter(java.lang.String sigName, ISignatureCodec codec)` Trivial protected constructor.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.Object` | `engineGetParameter(java.lang.String param)`
`void` | `engineInitSign(java.security.PrivateKey privateKey)`
`void` | `engineInitSign(java.security.PrivateKey privateKey, java.security.SecureRandom random)`
`void` | `engineInitVerify(java.security.PublicKey publicKey)`
`void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`void` | `engineSetParameter(java.lang.String param, java.lang.Object value)`
`byte[]` | `engineSign()`
`int` | `engineSign(byte[] outbuf, int offset, int len)`
`void` | `engineUpdate(byte b)`
`void` | `engineUpdate(byte[] b, int off, int len)`
`boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureAdapter

    protected SignatureAdapter(java.lang.String sigName,
                               ISignatureCodec codec)

  Trivial protected constructor.

  Parameters:
    `sigName` - the canonical name of the signature scheme.
    `codec` - the signature codec engine to use with this scheme.

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.security.SignatureSpi`

### engineInitVerify

    public void engineInitVerify(java.security.PublicKey publicKey)
                          throws java.security.InvalidKeyException

  Overrides:
    `engineInitVerify` in class `java.security.SignatureSpi`

### engineInitSign

    public void engineInitSign(java.security.PrivateKey privateKey)
                        throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`

### engineInitSign

    public void engineInitSign(java.security.PrivateKey privateKey,
                               java.security.SecureRandom random)
                        throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`

### engineUpdate

    public void engineUpdate(byte b)
                      throws java.security.SignatureException

  Overrides:
    `engineUpdate` in class `java.security.SignatureSpi`

### engineUpdate

    public void engineUpdate(byte[] b,
                             int off,
                             int len)
                      throws java.security.SignatureException

  Overrides:
    `engineUpdate` in class `java.security.SignatureSpi`

### engineSign

    public byte[] engineSign()
                      throws java.security.SignatureException

  Overrides:
    `engineSign` in class `java.security.SignatureSpi`

### engineSign

    public int engineSign(byte[] outbuf,
                          int offset,
                          int len)
                   throws java.security.SignatureException

  Overrides:
    `engineSign` in class `java.security.SignatureSpi`

### engineVerify

    public boolean engineVerify(byte[] sigBytes)
                         throws java.security.SignatureException

  Overrides:
    `engineVerify` in class `java.security.SignatureSpi`

### engineSetParameter

    public void engineSetParameter(java.lang.String param,
                                   java.lang.Object value)
                            throws java.security.InvalidParameterException

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineSetParameter

    public void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)
                            throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    public java.lang.Object engineGetParameter(java.lang.String param)
                                        throws java.security.InvalidParameterException

  Overrides:
    `engineGetParameter` in class `java.security.SignatureSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©2001-2002 Free Software Foundation, Inc.. All Rights Reserved.